﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PopCanMovement : MonoBehaviour {
    //this variable controls speed
    public float speed = 1;
    public Rigidbody pcRigidbody;
    public Animator anim;


    //the following variables are used for movement
    public float moveHorizontal;
    public float moveVertical;
    //this variable will store our values from the horizontal and vertical axises 
    public Vector3 movement;

    // Use this for initialization
    void Start () {
        pcRigidbody = GetComponent<Rigidbody>();
        anim = GetComponent< Animator > ();
    }
	
	// Update is called once per frame
	void FixedUpdate () {
        //movement for Horizontal using "A" and "D" Keys
        if (Input.GetAxis("Horizontal") !=0)
        {
            anim.SetBool("walk",true);
            moveHorizontal = Input.GetAxis("Horizontal");
            movement = new Vector3(moveHorizontal,0.0f,0.0f);

        }
        if (Input.GetAxis("Horizontal") == 0)
        {
            anim.SetBool("walk", false);

        }


        //movement for Vertical using "W" and "S" Keys
        if (Input.GetAxis("Vertical") != 0)
        {
            anim.SetBool("walk", true);
            moveVertical = Input.GetAxis("Vertical");
            movement = new Vector3(0.0f, 0.0f, moveVertical);

        }
        if (Input.GetAxis("Vertical") == 0)
        {
            anim.SetBool("walk", false);

        }


        pcRigidbody.AddForce(movement * speed);
    }
}
